> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pilotstatus.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar todos os grupos

> Retorna todos os grupos aos quais o número pertence. O parâmetro de consulta obrigatório `getParticipants` (`"true"` ou `"false"`) controla se a lista de participantes de cada grupo é incluída.



## OpenAPI

````yaml openapi.evolution-v2.pt.json GET /group/fetchAllGroups/{instance}
openapi: 3.1.0
info:
  title: Evolution V2 Layer
  version: 1.0.0
  description: >-
    Camada de API do Pilot Status — Evolution V2. Base URL
    `https://pilotstatus.com.br/api/layer/evolution-v2`. Autentique com o header
    `apikey` (sua chave `ps_` do Pilot Status). Endpoints de instância/sessão
    NÃO estão disponíveis na camada.
servers:
  - url: https://pilotstatus.com.br/api/layer/evolution-v2
security:
  - apiKey: []
tags:
  - name: Chamada e Business
  - name: Chat
  - name: Grupo
  - name: Etiqueta (Label)
  - name: Mensagem
  - name: Perfil
  - name: Configurações e Proxy
  - name: Armazenamento (S3)
  - name: Template
paths:
  /group/fetchAllGroups/{instance}:
    get:
      tags:
        - Grupo
      summary: Listar todos os grupos
      description: >-
        Retorna todos os grupos aos quais o número pertence. O parâmetro de
        consulta obrigatório `getParticipants` (`"true"` ou `"false"`) controla
        se a lista de participantes de cada grupo é incluída.
      operationId: get__group_fetchAllGroups_instance
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
          description: O nome de exibição do número no painel do Pilot Status.
      responses:
        '200':
          description: Sucesso — corpo de resposta nativo do provedor.
          content:
            application/json:
              schema:
                type: array
                description: >-
                  All groups the instance participates in. The 'participants'
                  field is only present when the request is made with
                  getParticipants=true.
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Group JID.
                    subject:
                      type: string
                      description: Group name/subject.
                    subjectOwner:
                      type: string
                      description: JID of the participant who last set the subject.
                    subjectTime:
                      type: integer
                      description: Unix timestamp (seconds) when the subject was last set.
                    pictureUrl:
                      type:
                        - string
                        - 'null'
                      description: URL of the group profile picture, or null if none.
                    size:
                      type: integer
                      description: Number of participants.
                    creation:
                      type: integer
                      description: Unix timestamp (seconds) when the group was created.
                    owner:
                      type: string
                      description: JID of the group owner/creator.
                    desc:
                      type: string
                      description: Group description text.
                    descId:
                      type: string
                      description: Identifier of the current description.
                    restrict:
                      type: boolean
                      description: If true, only admins can edit group info.
                    announce:
                      type: boolean
                      description: >-
                        If true, only admins can send messages (announcement
                        group).
                    isCommunity:
                      type: boolean
                      description: Whether this group is a community parent.
                    isCommunityAnnounce:
                      type: boolean
                      description: Whether this is a community announcement group.
                    linkedParent:
                      type:
                        - string
                        - 'null'
                      description: JID of the linked community parent, when applicable.
                    participants:
                      type: array
                      description: >-
                        Group participants (only present when
                        getParticipants=true).
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: Participant JID.
                          admin:
                            type:
                              - string
                              - 'null'
                            enum:
                              - superadmin
                              - admin
                              - null
                            description: >-
                              Admin role: 'superadmin', 'admin', or null for a
                              regular member.
              example:
                - id: 120363021234567890@g.us
                  subject: Equipe Pilot Status
                  subjectOwner: 5511999999999@s.whatsapp.net
                  subjectTime: 1720545600
                  pictureUrl: >-
                    https://pps.whatsapp.net/v/t61.24694-24/group_120363021234567890.jpg
                  size: 3
                  creation: 1720545600
                  owner: 5511999999999@s.whatsapp.net
                  desc: Grupo oficial da equipe.
                  descId: BAE5A1B2C3D4E5F6
                  restrict: false
                  announce: false
                  isCommunity: false
                  isCommunityAnnounce: false
                  linkedParent: null
                  participants:
                    - id: 5511999999999@s.whatsapp.net
                      admin: superadmin
                    - id: 5511988888888@s.whatsapp.net
                      admin: null
                - id: 120363049876543210@g.us
                  subject: Suporte
                  subjectOwner: 5511988888888@s.whatsapp.net
                  subjectTime: 1720459200
                  pictureUrl: null
                  size: 2
                  creation: 1720459200
                  owner: 5511988888888@s.whatsapp.net
                  desc: Canal de suporte interno.
                  descId: BAE5F6E5D4C3B2A1
                  restrict: true
                  announce: false
                  isCommunity: false
                  isCommunityAnnounce: false
                  linkedParent: null
        default:
          description: Erro — erro do provedor ou da camada.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                  error:
                    type: string
                  message:
                    type: string
                  response:
                    type: object
              example:
                status: 400
                error: Bad Request
                message: Invalid payload
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Your Pilot Status API key (ps_...). Evolution GO also accepts
        `Authorization: Bearer <key>`.

````